__author__ = 'K.Inanloo'

import os
import xsend
#import win32traceutil

def hook(ui, repo, **kwargs):
    username = ui.config('jabber', 'userid')
    password = ui.config('jabber', 'password')
    xsend.logon(username, password)
    project = os.path.basename(repo.root)
    text = 'Pushed \n %s  \n node %s \n from %s with comments: \n *%s' % (
        project,
        kwargs['node'],
        kwargs['url'],
        repo['tip'].description())
    if ui.config('jabber', project):
        recipients = ui.config('jabber', project).split(',')
        xsend.sendMessage(text, *recipients)
